newer php plugin for Apache?

3rd Party Package Requesting

Postby dingetje » Sun May 19, 2002 6:21 pm

I was wondering if anyone has compiled a newer version of the PHP module for Apache.
When I run the phpinfo() call I get version 4.0.5, I believe this is the libphp4.so in /mnt/router/packages/apache/libexec
I was wondering if anyone got a newer version (Lightning maybe? ) and willing to share it.

Thanx
dingetje
 

Postby NachoMan77 » Sun May 19, 2002 8:04 pm

A newer PHP would be nice...as well as a newer Apache ... hint : hint ! ;)

N.
<b>FREESCO en Espa?ol</b><br><a href="http://www.freesco.com.ar/" target="_blank">http://www.freesco.com.ar/</a><br><a href="http://www.freesco.es.org/" target="_blank">http://www.freesco.es.org/</a><br><br>Home of FREESCO-es, the spanish translated FREESCO version. Get your copy now... !<br><br>FREESCO-es PPPoE currently on Alpha testing...
User avatar
NachoMan77
Junior Advanced Member
 
Posts: 129
Joined: Wed Feb 06, 2002 2:52 pm
Location: Buenos Aires, Argentina

Postby Ferno » Mon May 20, 2002 1:25 pm

dingetje wrote:I was wondering if anyone has compiled a newer version of the PHP module for Apache.
When I run the phpinfo() call I get version 4.0.5, I believe this is the libphp4.so in /mnt/router/packages/apache/libexec
I was wondering if anyone got a newer version (Lightning maybe? ) and willing to share it.

Thanx

Yeah,

I have been requesting it for a while now (version 4.2.1 is supposed to be very good) but never got a responce.
Lately i compiled it on my slackware 8.0 machine (kernel 2.4.xx) but i think it is not compatible.
I guess a could copy the .so file from there and give it a shot but i am afraid it won't work.

I am setting up a Virtual PC for this pourpose but have not been able to find the time to take it on.
If i succeed i still will have to ask somebody to package it for me or to guide me through the process.
I still find the process of packaging a bit difficult to grasp.
Things like where do the files go (not in the same dir as on the os where you compiled it since the dir structure is way different) etc.
Ferno
 

Postby compbrain » Mon May 20, 2002 3:44 pm

Virtual PC.. Do you use mac's????
LOL  :D
~COmpbrain
<a href='http://compbrain.net/' target='_blank'>Http://compbrain.net/</a><br>Webmaster and network admin extrodinair
User avatar
compbrain
Member
 
Posts: 64
Joined: Tue Dec 18, 2001 6:07 pm
Location: CT

Postby Ferno » Mon May 20, 2002 3:47 pm

compbrain wrote:Virtual PC.. Do you use mac's????
LOL ?:D
~COmpbrain

Nope, but virtual PC from connectix is available for windows also.  :p


I gess you will have to check for yourself at <a href="http://www.connectix.com" target="_blank">http://www.connectix.com</a>
Ferno
 

Postby Marc » Mon Feb 19, 2007 5:03 pm

Hi Forum,

I get:
* Your PHP version 4.3.1 is lower than the needed 4.3.3. You need to upgrade your PHP install.
Trying to install dokuwiki of freesco.

PHP 4.3.3 and higher. Because of some security issues PHP 4.3.10 or higher is strictly recommended. 1) (PHP5 should be fine.)

Anyone playing with the newer PHP?
Marc
pc1mh.nl.eu.org
User avatar
Marc
Senior Member
 
Posts: 85
Joined: Fri May 17, 2002 3:42 pm
Location: The kingdom of the Netherlands, Twente

Postby dingetje » Tue Feb 20, 2007 5:36 pm

I'm presently test running PHP 4.4.4 and Apache 1.3.37 on my own box / portal. This box is also hosting the FAQ and Dokuwiki and everything seems to be working and quite stable so far.

The PHP is a bit less bloated then the one in my Apache 1.3.26 package. I did not experience any problems with that version running Dokuwiki though.

Haven't tried PHP 5 yet.
GreetZ
http://dingetje.hopto.org

"Software is like sex: it's better when it's free." - LINUS TORVALDS
User avatar
dingetje
FREESCO GURU !!
 
Posts: 1010
Joined: Wed Nov 14, 2001 12:13 pm
Location: The Netherlands

Postby Marc » Wed Feb 21, 2007 5:48 am

Hi Dingetje,

Good news that its working and compatible.
Is it in your opinion easy to upgrade or do I need to compile something on zipslack?
I did some googling and it seems hard to upgrade PHP.

I guess I will wait a bit for my urge to grow until it is unbearable. Once the urge is bigger than the hardship projects tend to startup here in the house.

Thanks for the info.

Marc
Marc
pc1mh.nl.eu.org
User avatar
Marc
Senior Member
 
Posts: 85
Joined: Fri May 17, 2002 3:42 pm
Location: The kingdom of the Netherlands, Twente

Postby dingetje » Wed Feb 21, 2007 8:23 am

Compiling PHP with sufficient plugins is indeed not for the faint of heart, but can be VERY rewarding when completed. It involves so many library upgrades to meet PHP minimal requirements, you sometimes loose track of the final goal...

The new stuff is running quite stable for 3 weeks now, so looking good.
GreetZ
http://dingetje.hopto.org

"Software is like sex: it's better when it's free." - LINUS TORVALDS
User avatar
dingetje
FREESCO GURU !!
 
Posts: 1010
Joined: Wed Nov 14, 2001 12:13 pm
Location: The Netherlands


Return to 3rd Party Package Requesting

Who is online

Users browsing this forum: No registered users and 10 guests